Alternate Payment (Wallet/ACH)
POST
/iposTransactStatusRetrieves the detailed transaction status using merchant credentials and transaction reference.
Header Parameters
token*
stringBody Parameters
merchantAuthentication
merchantId*
stringtransactionReferenceId*
stringPOST/iposTransactStatus
1curl --location 'https://payment.ipospays.tech/api/v3/iposTransactStatus' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "MERCHANT_ID_HERE",
7 "transactionReferenceId": "TX_REF_ID_HERE"
8 }
9}'
Response
// Awaiting response…
Sample response
{
"iposhpresponse": {
"Response": {
"RespCode": "00",
"RespMsg": "APPROVAL - AUTH NUM 272-172",
"TxRefNo": "9298395654Testing024122",
"DTxId": "28118655670253241411750855554528",
"BatchNo": "607",
"Rrn": "-rosY2zcUJilI0i2-_uVcDAYaJdZWMItJmrq",
"TotalAmount": "1231",
"Amount": "1231",
"Tip": "0",
"CardType": "Wallet",
"TransactionType": "CHECK",
"Status": "Approved",
"AchToken": "Your ACHTokenHere",
"TxnSettleStatus": "Yet to Settle"
},
"TxDetail": {
"DateNTime": "11750855554528",
"Tpn": "567025324141"
}
}
}